<?php
require_once './vendor/src/org/jsonrpcphp/JsonRPCClient.php';

$rpcUrl= "http://limesurvey.example.org/index.php?r=admin/remotecontrol";

$rpcUser = "RPCUSER";
$rpcPassword = "RPCPASSWORD";


$lsJSONRPCClient = new org\jsonrpcphp\JsonRPCClient($rpcUrl);
$sessionKey= $lsJSONRPCClient->get_session_key($rpcUser,$rpcPassword );
//~ If an error happen
if(is_array($sessionKey))
{
    print_r($sessionKey);
    die();
}
/* Boucle sur le répertoire */
    $allFiles = scandir('./surveysFiles/');
    $allFiles = array_diff($allFiles, array('.','..') );
    // echo "<pre>"; print_r( $files_arr ); echo "</pre>";
    // Get each files of our directory with line break
    foreach ($allFiles as $file) {
        //Get the file path
        $filePath = './surveysFiles/'.$file;
        // Get the file extension
        $fileExt = pathinfo($filePath, PATHINFO_EXTENSION);
        if ($fileExt == "lss" || $fileExt == "lsa") {
            $type = $fileExt;
            echo "Import {$file} as {$type} \n";
            $fileContent = file_get_contents($filePath);
            if(!$fileContent) {
                echo "\t Unable to read file\n";
                break;
            }
            $base64Encoded = base64_encode($fileContent);
            $result = $lsJSONRPCClient->import_survey(
                $sessionKey,
                $base64Encoded,
                $type
            );
            if(is_array($result)) {
                echo "\t Error happen : ". print_r($result);
            } else {
                echo "\t imported as survey id {$result}\n";
                rename($filePath, $filePath.".bak");
            }
            
        }
    }
//~ release the session key
$lsJSONRPCClient->release_session_key( $sessionKey );
